(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("redux"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "redux"], factory);
	else if(typeof exports === 'object')
		exports["ReactInlineGrid"] = factory(require("react"), require("redux"));
	else
		root["ReactInlineGrid"] = factory(root["React"], root["Redux"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_2__, __WEBPACK_EXTERNAL_MODULE_10__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports.Cell = exports.Row = exports.Grid = undefined;

	var _Grid = __webpack_require__(27);

	Object.defineProperty(exports, 'Grid', {
	  enumerable: true,
	  get: function get() {
	    return _Grid.default;
	  }
	});

	var _constants = __webpack_require__(1);

	var _createComponent = __webpack_require__(28);

	var _createComponent2 = _interopRequireDefault(_createComponent);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var Row = (0, _createComponent2.default)(_constants.ROW_ID);
	var Cell = (0, _createComponent2.default)(_constants.CELL_ID);

	exports.Row = Row;
	exports.Cell = Cell;

/***/ },
/* 1 */
/***/ function(module, exports) {

	'use strict';

	var _WHITE_LIST;

	exports.__esModule = true;
	var UPDATE_MEDIA_NAME = exports.UPDATE_MEDIA_NAME = 'media/name/UPDATE';
	var ROW_ID = exports.ROW_ID = 'row';
	var CELL_ID = exports.CELL_ID = 'cell';
	var MEDIA_MODEL_HELPER = exports.MEDIA_MODEL_HELPER = {
	  gutter: 16,
	  margin: 16,
	  list: [{
	    name: 'phone',
	    query: '(max-width: 479px)'
	  }, {
	    name: 'tablet',
	    query: '(min-width: 480px) and (max-width: 839px)'
	  }, {
	    name: 'desktop',
	    query: '(min-width: 840px)'
	  }]
	};
	var WHITE_LIST = exports.WHITE_LIST = (_WHITE_LIST = {}, _WHITE_LIST[ROW_ID] = ['row', 'start', 'center', 'end', 'around', 'between', 'nospace'], _WHITE_LIST[CELL_ID] = ['cell', '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', 'top', 'middle', 'bottom', 'stretch', 'between', 'offset', 'nospace'], _WHITE_LIST);

/***/ },
/* 2 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_2__;

/***/ },
/* 3 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

	/**
	 * Checks if `value` is the [language type](https://es5.github.io/#x8) of `Object`.
	 * (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
	 * @example
	 *
	 * _.isObject({});
	 * // => true
	 *
	 * _.isObject([1, 2, 3]);
	 * // => true
	 *
	 * _.isObject(1);
	 * // => false
	 */
	function isObject(value) {
	  // Avoid a V8 JIT bug in Chrome 19-20.
	  // See https://code.google.com/p/v8/issues/detail?id=2291 for more details.
	  var type = typeof value === 'undefined' ? 'undefined' : _typeof(value);
	  return !!value && (type == 'object' || type == 'function');
	}

	module.exports = isObject;

/***/ },
/* 4 */
/***/ function(module, exports) {

	'use strict';

	/**
	 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
	 * of an array-like value.
	 */
	var MAX_SAFE_INTEGER = 9007199254740991;

	/**
	 * Checks if `value` is a valid array-like length.
	 *
	 * **Note:** This function is based on [`ToLength`](http://ecma-international.org/ecma-262/6.0/#sec-tolength).
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
	 */
	function isLength(value) {
	  return typeof value == 'number' && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
	}

	module.exports = isLength;

/***/ },
/* 5 */
/***/ function(module, exports) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

	/**
	 * Checks if `value` is object-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
	 */
	function isObjectLike(value) {
	  return !!value && (typeof value === 'undefined' ? 'undefined' : _typeof(value)) == 'object';
	}

	module.exports = isObjectLike;

/***/ },
/* 6 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	exports.__esModule = true;
	exports.hydrateMedia = hydrateMedia;
	exports.updateMediaName = updateMediaName;
	exports.default = media;

	var _constants = __webpack_require__(1);

	function hydrateMedia(_ref) {
	  var name = _ref.name;

	  return {
	    name: name
	  };
	}

	function updateMediaName(payload) {
	  return {
	    type: _constants.UPDATE_MEDIA_NAME,
	    payload: payload
	  };
	}

	function media() {
	  var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
	  var action = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

	  switch (action.type) {
	    case _constants.UPDATE_MEDIA_NAME:
	      return _extends({}, state, {
	        name: action.payload
	      });
	    default:
	      return state;
	  }
	}

/***/ },
/* 7 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	exports.default = invariant;
	function invariant(condition, error) {
	  if (!condition) throw new Error(error);
	}

/***/ },
/* 8 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var Provider = __webpack_require__(41);
	var connect = __webpack_require__(42);

	module.exports = { Provider: Provider, connect: connect };

/***/ },
/* 9 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _require = __webpack_require__(2);

	var PropTypes = _require.PropTypes;

	var storeShape = PropTypes.shape({
	  subscribe: PropTypes.func.isRequired,
	  dispatch: PropTypes.func.isRequired,
	  getState: PropTypes.func.isRequired
	});

	module.exports = storeShape;

/***/ },
/* 10 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_10__;

/***/ },
/* 11 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * Creates an array with all falsey values removed. The values `false`, `null`,
	 * `0`, `""`, `undefined`, and `NaN` are falsey.
	 *
	 * @static
	 * @memberOf _
	 * @category Array
	 * @param {Array} array The array to compact.
	 * @returns {Array} Returns the new array of filtered values.
	 * @example
	 *
	 * _.compact([0, 1, false, 2, '', 3]);
	 * // => [1, 2, 3]
	 */
	function compact(array) {
	  var index = -1,
	      length = array ? array.length : 0,
	      resIndex = -1,
	      result = [];

	  while (++index < length) {
	    var value = array[index];
	    if (value) {
	      result[++resIndex] = value;
	    }
	  }
	  return result;
	}

	module.exports = compact;

/***/ },
/* 12 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var toObject = __webpack_require__(20);

	/**
	 * The base implementation of `get` without support for string paths
	 * and default values.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {Array} path The path of the property to get.
	 * @param {string} [pathKey] The key representation of path.
	 * @returns {*} Returns the resolved value.
	 */
	function baseGet(object, path, pathKey) {
	  if (object == null) {
	    return;
	  }
	  if (pathKey !== undefined && pathKey in toObject(object)) {
	    path = [pathKey];
	  }
	  var index = 0,
	      length = path.length;

	  while (object != null && index < length) {
	    object = object[path[index++]];
	  }
	  return index && index == length ? object : undefined;
	}

	module.exports = baseGet;

/***/ },
/* 13 */
/***/ function(module, exports) {

	"use strict";

	/**
	 * The base implementation of `_.property` without support for deep paths.
	 *
	 * @private
	 * @param {string} key The key of the property to get.
	 * @returns {Function} Returns the new function.
	 */
	function baseProperty(key) {
	  return function (object) {
	    return object == null ? undefined : object[key];
	  };
	}

	module.exports = baseProperty;

/***/ },
/* 14 */
/***/ function(module, exports) {

	'use strict';

	/**
	 * Converts `value` to a string if it's not one. An empty string is returned
	 * for `null` or `undefined` values.
	 *
	 * @private
	 * @param {*} value The value to process.
	 * @returns {string} Returns the string.
	 */
	function baseToString(value) {
	  return value == null ? '' : value + '';
	}

	module.exports = baseToString;

/***/ },
/* 15 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseProperty = __webpack_require__(13);

	/**
	 * Gets the "length" property value of `object`.
	 *
	 * **Note:** This function is used to avoid a [JIT bug](https://bugs.webkit.org/show_bug.cgi?id=142792)
	 * that affects Safari on at least iOS 8.1-8.3 ARM64.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @returns {*} Returns the "length" value.
	 */
	var getLength = baseProperty('length');

	module.exports = getLength;

/***/ },
/* 16 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isNative = __webpack_require__(24);

	/**
	 * Gets the native function at `key` of `object`.
	 *
	 * @private
	 * @param {Object} object The object to query.
	 * @param {string} key The key of the method to get.
	 * @returns {*} Returns the function if it's native, else `undefined`.
	 */
	function getNative(object, key) {
	  var value = object == null ? undefined : object[key];
	  return isNative(value) ? value : undefined;
	}

	module.exports = getNative;

/***/ },
/* 17 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getLength = __webpack_require__(15),
	    isLength = __webpack_require__(4);

	/**
	 * Checks if `value` is array-like.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
	 */
	function isArrayLike(value) {
	  return value != null && isLength(getLength(value));
	}

	module.exports = isArrayLike;

/***/ },
/* 18 */
/***/ function(module, exports) {

	'use strict';

	/** Used to detect unsigned integer values. */
	var reIsUint = /^\d+$/;

	/**
	 * Used as the [maximum length](http://ecma-international.org/ecma-262/6.0/#sec-number.max_safe_integer)
	 * of an array-like value.
	 */
	var MAX_SAFE_INTEGER = 9007199254740991;

	/**
	 * Checks if `value` is a valid array-like index.
	 *
	 * @private
	 * @param {*} value The value to check.
	 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
	 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
	 */
	function isIndex(value, length) {
	  value = typeof value == 'number' || reIsUint.test(value) ? +value : -1;
	  length = length == null ? MAX_SAFE_INTEGER : length;
	  return value > -1 && value % 1 == 0 && value < length;
	}

	module.exports = isIndex;

/***/ },
/* 19 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol ? "symbol" : typeof obj; };

	var isArrayLike = __webpack_require__(17),
	    isIndex = __webpack_require__(18),
	    isObject = __webpack_require__(3);

	/**
	 * Checks if the provided arguments are from an iteratee call.
	 *
	 * @private
	 * @param {*} value The potential iteratee value argument.
	 * @param {*} index The potential iteratee index or key argument.
	 * @param {*} object The potential iteratee object argument.
	 * @returns {boolean} Returns `true` if the arguments are from an iteratee call, else `false`.
	 */
	function isIterateeCall(value, index, object) {
	  if (!isObject(object)) {
	    return false;
	  }
	  var type = typeof index === 'undefined' ? 'undefined' : _typeof(index);
	  if (type == 'number' ? isArrayLike(object) && isIndex(index, object.length) : type == 'string' && index in object) {
	    var other = object[index];
	    return value === value ? value === other : other !== other;
	  }
	  return false;
	}

	module.exports = isIterateeCall;

/***/ },
/* 20 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(3);

	/**
	 * Converts `value` to an object if it's not one.
	 *
	 * @private
	 * @param {*} value The value to process.
	 * @returns {Object} Returns the object.
	 */
	function toObject(value) {
	  return isObject(value) ? value : Object(value);
	}

	module.exports = toObject;

/***/ },
/* 21 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseToString = __webpack_require__(14),
	    isArray = __webpack_require__(22);

	/** Used to match property names within property paths. */
	var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\n\\]|\\.)*?)\2)\]/g;

	/** Used to match backslashes in property paths. */
	var reEscapeChar = /\\(\\)?/g;

	/**
	 * Converts `value` to property path array if it's not one.
	 *
	 * @private
	 * @param {*} value The value to process.
	 * @returns {Array} Returns the property path array.
	 */
	function toPath(value) {
	  if (isArray(value)) {
	    return value;
	  }
	  var result = [];
	  baseToString(value).replace(rePropName, function (match, number, quote, string) {
	    result.push(quote ? string.replace(reEscapeChar, '$1') : number || match);
	  });
	  return result;
	}

	module.exports = toPath;

/***/ },
/* 22 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var getNative = __webpack_require__(16),
	    isLength = __webpack_require__(4),
	    isObjectLike = __webpack_require__(5);

	/** `Object#toString` result references. */
	var arrayTag = '[object Array]';

	/** Used for native method references. */
	var objectProto = Object.prototype;

	/**
	 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objToString = objectProto.toString;

	/* Native method references for those with the same name as other `lodash` methods. */
	var nativeIsArray = getNative(Array, 'isArray');

	/**
	 * Checks if `value` is classified as an `Array` object.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
	 * @example
	 *
	 * _.isArray([1, 2, 3]);
	 * // => true
	 *
	 * _.isArray(function() { return arguments; }());
	 * // => false
	 */
	var isArray = nativeIsArray || function (value) {
	  return isObjectLike(value) && isLength(value.length) && objToString.call(value) == arrayTag;
	};

	module.exports = isArray;

/***/ },
/* 23 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isObject = __webpack_require__(3);

	/** `Object#toString` result references. */
	var funcTag = '[object Function]';

	/** Used for native method references. */
	var objectProto = Object.prototype;

	/**
	 * Used to resolve the [`toStringTag`](http://ecma-international.org/ecma-262/6.0/#sec-object.prototype.tostring)
	 * of values.
	 */
	var objToString = objectProto.toString;

	/**
	 * Checks if `value` is classified as a `Function` object.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is correctly classified, else `false`.
	 * @example
	 *
	 * _.isFunction(_);
	 * // => true
	 *
	 * _.isFunction(/abc/);
	 * // => false
	 */
	function isFunction(value) {
	  // The use of `Object#toString` avoids issues with the `typeof` operator
	  // in older versions of Chrome and Safari which return 'function' for regexes
	  // and Safari 8 which returns 'object' for typed array constructors.
	  return isObject(value) && objToString.call(value) == funcTag;
	}

	module.exports = isFunction;

/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isFunction = __webpack_require__(23),
	    isObjectLike = __webpack_require__(5);

	/** Used to detect host constructors (Safari > 5). */
	var reIsHostCtor = /^\[object .+?Constructor\]$/;

	/** Used for native method references. */
	var objectProto = Object.prototype;

	/** Used to resolve the decompiled source of functions. */
	var fnToString = Function.prototype.toString;

	/** Used to check objects for own properties. */
	var hasOwnProperty = objectProto.hasOwnProperty;

	/** Used to detect if a method is native. */
	var reIsNative = RegExp('^' + fnToString.call(hasOwnProperty).replace(/[\\^$.*+?()[\]{}|]/g, '\\$&').replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$');

	/**
	 * Checks if `value` is a native function.
	 *
	 * @static
	 * @memberOf _
	 * @category Lang
	 * @param {*} value The value to check.
	 * @returns {boolean} Returns `true` if `value` is a native function, else `false`.
	 * @example
	 *
	 * _.isNative(Array.prototype.push);
	 * // => true
	 *
	 * _.isNative(_);
	 * // => false
	 */
	function isNative(value) {
	  if (value == null) {
	    return false;
	  }
	  if (isFunction(value)) {
	    return reIsNative.test(fnToString.call(value));
	  }
	  return isObjectLike(value) && reIsHostCtor.test(value);
	}

	module.exports = isNative;

/***/ },
/* 25 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var baseGet = __webpack_require__(12),
	    toPath = __webpack_require__(21);

	/**
	 * Gets the property value at `path` of `object`. If the resolved value is
	 * `undefined` the `defaultValue` is used in its place.
	 *
	 * @static
	 * @memberOf _
	 * @category Object
	 * @param {Object} object The object to query.
	 * @param {Array|string} path The path of the property to get.
	 * @param {*} [defaultValue] The value returned if the resolved value is `undefined`.
	 * @returns {*} Returns the resolved value.
	 * @example
	 *
	 * var object = { 'a': [{ 'b': { 'c': 3 } }] };
	 *
	 * _.get(object, 'a[0].b.c');
	 * // => 3
	 *
	 * _.get(object, ['a', '0', 'b', 'c']);
	 * // => 3
	 *
	 * _.get(object, 'a.b.c', 'default');
	 * // => 'default'
	 */
	function get(object, path, defaultValue) {
	  var result = object == null ? undefined : baseGet(object, toPath(path), path + '');
	  return result === undefined ? defaultValue : result;
	}

	module.exports = get;

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var isIterateeCall = __webpack_require__(19);

	/* Native method references for those with the same name as other `lodash` methods. */
	var nativeCeil = Math.ceil,
	    nativeMax = Math.max;

	/**
	 * Creates an array of numbers (positive and/or negative) progressing from
	 * `start` up to, but not including, `end`. If `end` is not specified it's
	 * set to `start` with `start` then set to `0`. If `end` is less than `start`
	 * a zero-length range is created unless a negative `step` is specified.
	 *
	 * @static
	 * @memberOf _
	 * @category Utility
	 * @param {number} [start=0] The start of the range.
	 * @param {number} end The end of the range.
	 * @param {number} [step=1] The value to increment or decrement by.
	 * @returns {Array} Returns the new array of numbers.
	 * @example
	 *
	 * _.range(4);
	 * // => [0, 1, 2, 3]
	 *
	 * _.range(1, 5);
	 * // => [1, 2, 3, 4]
	 *
	 * _.range(0, 20, 5);
	 * // => [0, 5, 10, 15]
	 *
	 * _.range(0, -4, -1);
	 * // => [0, -1, -2, -3]
	 *
	 * _.range(1, 4, 0);
	 * // => [1, 1, 1]
	 *
	 * _.range(0);
	 * // => []
	 */
	function range(start, end, step) {
	  if (step && isIterateeCall(start, end, step)) {
	    end = step = undefined;
	  }
	  start = +start || 0;
	  step = step == null ? 1 : +step || 0;

	  if (end == null) {
	    end = start;
	    start = 0;
	  } else {
	    end = +end || 0;
	  }
	  // Use `Array(length)` so engines like Chakra and V8 avoid slower modes.
	  // See https://youtu.be/XAqIpGU8ZZk#t=17m25s for more details.
	  var index = -1,
	      length = nativeMax(nativeCeil((end - start) / (step || 1)), 0),
	      result = Array(length);

	  while (++index < length) {
	    result[index] = start;
	    start += step;
	  }
	  return result;
	}

	module.exports = range;

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports.ensureValue = ensureValue;
	exports.ensureListProperties = ensureListProperties;
	exports.build = build;
	exports.setMedia = setMedia;
	exports.setReference = setReference;

	var _react = __webpack_require__(2);

	var _react2 = _interopRequireDefault(_react);

	var _reactRedux = __webpack_require__(8);

	var _matchMedia = __webpack_require__(29);

	var _matchMedia2 = _interopRequireDefault(_matchMedia);

	var _store = __webpack_require__(31);

	var _store2 = _interopRequireDefault(_store);

	var _media = __webpack_require__(6);

	var _constants = __webpack_require__(1);

	var _invariant = __webpack_require__(7);

	var _invariant2 = _interopRequireDefault(_invariant);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var optionsShape = _react.PropTypes.shape({
	  columns: _react.PropTypes.number,
	  gutter: _react.PropTypes.number,
	  margin: _react.PropTypes.number,
	  deaf: _react.PropTypes.bool,
	  list: _react.PropTypes.arrayOf(_react.PropTypes.shape({
	    name: _react.PropTypes.string.isRequired,
	    query: _react.PropTypes.string.isRequired,
	    gutter: _react.PropTypes.number,
	    margin: _react.PropTypes.number
	  }))
	});

	function ensureValue(options, base, key, value) {
	  if (true) {
	    (0, _invariant2.default)(key, '<Grid> -> ensureValue -> key must be defined.');

	    (0, _invariant2.default)(base, '<Grid> -> ensureValue -> base must be defined.');

	    (0, _invariant2.default)(typeof base[key] !== 'undefined', '<Grid> -> ensureValue -> base -> key must be defined.');
	  }

	  if (value >= 0) return value;
	  var result = options && options[key] >= 0 ? options[key] : base[key];
	  return result;
	}

	function ensureListProperties(options, base, list) {
	  return list.map(function (n) {
	    var name = n.name;
	    var query = n.query;
	    var gutter = n.gutter;
	    var margin = n.margin;

	    return {
	      name: name,
	      query: query,
	      gutter: ensureValue(options, base, 'gutter', gutter),
	      margin: ensureValue(options, base, 'margin', margin)
	    };
	  });
	}

	function build() {
	  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
	  var base = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];
	  var columns = options.columns;
	  var _options$deaf = options.deaf;
	  var deaf = _options$deaf === undefined ? false : _options$deaf;
	  var _options$list = options.list;
	  var list = _options$list === undefined ? base.list : _options$list;

	  var size = list.length;

	  (0, _invariant2.default)(!!size, '<Grid> -> options -> list can not be empty');

	  if (columns) {
	    (0, _invariant2.default)(!(columns % size) > 0, '<Grid> -> options -> columns must be a multiple of ' + '<Grid> -> options -> list -> length');
	  }

	  return {
	    columns: columns || size * 4,
	    deaf: deaf,
	    list: ensureListProperties(options, base, list)
	  };
	}

	function setMedia(name) {
	  return { name: name };
	}

	function setReference(options) {
	  return { options: options };
	}

	var Grid = function (_Component) {
	  _inherits(Grid, _Component);

	  function Grid(props, context) {
	    _classCallCheck(this, Grid);

	    // Initialize a new Model:
	    // If <Grid> -> options is missing, it return a default Model.
	    // if <Grid> -> options is provided, it return a valid Model.

	    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

	    var model = build(props.options, _constants.MEDIA_MODEL_HELPER);

	    _this.match = (0, _matchMedia2.default)(model.list);
	    _this.shouldSubscribe = model.deaf !== true;

	    // Initialize Redux `store`.
	    var media = setMedia(_this.match.getCurrentName);
	    var reference = setReference(model);
	    _this.store = (0, _store2.default)({ media: media, reference: reference });
	    return _this;
	  }

	  Grid.prototype.componentDidMount = function componentDidMount() {
	    this.trySubscribe();
	  };

	  Grid.prototype.componentWillUnmount = function componentWillUnmount() {
	    this.tryUnsubscribe();
	  };

	  Grid.prototype.render = function render() {
	    return _react2.default.createElement(
	      _reactRedux.Provider,
	      { store: this.store },
	      _react.Children.only(this.props.children)
	    );
	  };

	  Grid.prototype.trySubscribe = function trySubscribe() {
	    if (this.shouldSubscribe && !this.unsubscribe) {
	      this.unsubscribe = this.match.subscribe(this.handleChange.bind(this));
	    }
	  };

	  Grid.prototype.tryUnsubscribe = function tryUnsubscribe() {
	    if (this.unsubscribe) {
	      this.unsubscribe();
	      this.unsubscribe = null;
	    }
	  };

	  Grid.prototype.handleChange = function handleChange(payload) {
	    if (!this.unsubscribe) {
	      return;
	    }
	    this.store.dispatch((0, _media.updateMediaName)(payload));
	  };

	  return Grid;
	}(_react.Component);

	Grid.propTypes = {
	  options: optionsShape,
	  children: _react.PropTypes.element.isRequired
	};
	exports.default = Grid;

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	exports.__esModule = true;
	exports.default = createComponent;

	var _react = __webpack_require__(2);

	var _react2 = _interopRequireDefault(_react);

	var _reactRedux = __webpack_require__(8);

	var _pick = __webpack_require__(38);

	var _pick2 = _interopRequireDefault(_pick);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

	var mapStateToProps = function mapStateToProps(state) {
	  return _extends({}, state);
	};

	var mergeProps = function mergeProps(stateProps, dispatchProps, _ref) {
	  var is = _ref.is;

	  var clean = _objectWithoutProperties(_ref, ['is']);

	  return _extends({}, clean, {
	    grid: _extends({}, stateProps, {
	      is: is
	    })
	  });
	};

	var gridShape = _react.PropTypes.shape({
	  media: _react.PropTypes.object.isRequired,
	  reference: _react.PropTypes.object.isRequired,
	  is: _react.PropTypes.string
	}).isRequired;

	var elem = function elem(tag) {
	  var _class, _temp;

	  return _temp = _class = function (_Component) {
	    _inherits(Elem, _Component);

	    function Elem() {
	      _classCallCheck(this, Elem);

	      return _possibleConstructorReturn(this, _Component.apply(this, arguments));
	    }

	    Elem.prototype.shouldComponentUpdate = function shouldComponentUpdate(nextProps) {
	      if (true) {
	        return true;
	      }

	      if (false) {
	        return nextProps.grid.media.name !== this.props.grid.media.name || nextProps.grid.is !== this.props.grid.is;
	      }
	    };

	    Elem.prototype.render = function render() {
	      var _props = this.props;
	      var grid = _props.grid;
	      var children = _props.children;

	      var clean = _objectWithoutProperties(_props, ['grid', 'children']);

	      return _react2.default.createElement(
	        'div',
	        { style: (0, _pick2.default)(tag, grid) },
	        _react.Children.map(children, function (child) {
	          return (0, _react.cloneElement)(child, _extends({}, clean));
	        })
	      );
	    };

	    return Elem;
	  }(_react.Component), _class.propTypes = {
	    grid: gridShape
	  }, _temp;
	};

	function createComponent(tag) {
	  return (0, _reactRedux.connect)(mapStateToProps, null, mergeProps)(elem(tag));
	}

/***/ },
/* 29 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	exports.default = matchMedia;

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function setModel(options) {
	  return options.map(function (n) {
	    var name = n.name;
	    var query = n.query;

	    return {
	      name: name,
	      query: query
	    };
	  });
	}

	function setState(model, handleChange) {
	  return model.map(function (_ref) {
	    var name = _ref.name;
	    var query = _ref.query;

	    var match = window.matchMedia(query);
	    match.add = function () {
	      return match.addListener(handleChange);
	    };
	    match.add();
	    match.remove = function () {
	      return match.removeListener(handleChange);
	    };

	    return {
	      name: name,
	      match: match
	    };
	  });
	}

	var MatchMedia = function () {
	  function MatchMedia(list) {
	    _classCallCheck(this, MatchMedia);

	    this.listeners = [];
	    this.state = [];
	    this.model = setModel(list.slice());

	    return this.updateState();
	  }

	  MatchMedia.prototype.handleChange = function handleChange() {
	    this.state.slice().forEach(function (_ref2) {
	      var match = _ref2.match;
	      return match.remove();
	    });

	    return this.updateState();
	  };

	  MatchMedia.prototype.updateState = function updateState() {
	    this.state = setState(this.model, this.handleChange.bind(this));

	    return this.dispatchUpdate();
	  };

	  MatchMedia.prototype.getCurrentName = function getCurrentName() {
	    var current = this.state.filter(function (_ref3) {
	      var match = _ref3.match;
	      return match.matches;
	    });

	    var _ref4 = current.length > 0 ? current[0] : this.model[0];

	    var name = _ref4.name;

	    return name;
	  };

	  MatchMedia.prototype.dispatchUpdate = function dispatchUpdate() {
	    var current = this.getCurrentName();
	    return this.listeners.slice().forEach(function (listener) {
	      return listener(current);
	    });
	  };

	  MatchMedia.prototype.subscribe = function subscribe(listener) {
	    this.listeners.push(listener);

	    return function unsubscribe() {
	      if (this.listeners != null) {
	        var index = this.listeners.indexOf(listener);
	        this.listeners = this.listeners.slice(index, 1);
	      }
	    };
	  };

	  return MatchMedia;
	}();

	function matchMedia(list) {
	  var mM = new MatchMedia(list);

	  return {
	    subscribe: mM.subscribe.bind(mM),
	    getCurrentName: mM.getCurrentName()
	  };
	}

/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	exports.__esModule = true;
	exports.buildSharedProperties = exports.buildCellTypeProperties = exports.buildCell = exports.buildRowTypeProperties = exports.buildRow = undefined;
	exports.hydrateReference = hydrateReference;
	exports.default = reference;

	var _isUAFixNeeded = __webpack_require__(36);

	var _isUAFixNeeded2 = _interopRequireDefault(_isUAFixNeeded);

	var _fixUserAgent2 = __webpack_require__(35);

	var _fixUserAgent3 = _interopRequireDefault(_fixUserAgent2);

	var _calcPropWithGutter = __webpack_require__(33);

	var _calcPropWithGutter2 = _interopRequireDefault(_calcPropWithGutter);

	var _constants = __webpack_require__(1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var ROW_ROOT = {
	  display: 'flex',
	  flexFlow: 'row wrap',
	  alignItems: 'stretch'
	};

	var buildRow = exports.buildRow = function buildRow(id, FIXED_ROW, gutter, margin) {
	  var _ref;

	  return _ref = {}, _ref[id] = _extends({}, FIXED_ROW, {
	    padding: margin - gutter / 2 + 'px'
	  }), _ref;
	};

	var buildRowTypeProperties = exports.buildRowTypeProperties = function buildRowTypeProperties(justifyContent) {
	  var _start, _center, _end, _around, _between;

	  return {
	    start: (_start = {}, _start[justifyContent] = 'flex-start', _start),
	    center: (_center = {}, _center[justifyContent] = 'center', _center),
	    end: (_end = {}, _end[justifyContent] = 'flex-end', _end),
	    around: (_around = {}, _around[justifyContent] = 'space-around', _around),
	    between: (_between = {}, _between[justifyContent] = 'space-between', _between)
	  };
	};

	var buildCell = exports.buildCell = function buildCell(id, gutter) {
	  var _ref2;

	  return _ref2 = {}, _ref2[id] = {
	    boxSizing: 'border-box',
	    margin: gutter / 2 + 'px',
	    width: 'calc(100% - ' + gutter + 'px)'
	  }, _ref2;
	};

	var buildCellTypeProperties = exports.buildCellTypeProperties = function buildCellTypeProperties(alignSelf) {
	  var _top, _middle, _bottom, _stretch;

	  return {
	    top: (_top = {}, _top[alignSelf] = 'flex-start', _top),
	    middle: (_middle = {}, _middle[alignSelf] = 'center', _middle),
	    bottom: (_bottom = {}, _bottom[alignSelf] = 'flex-end', _bottom),
	    stretch: (_stretch = {}, _stretch[alignSelf] = 'stretch', _stretch)
	  };
	};

	var buildSharedProperties = exports.buildSharedProperties = function buildSharedProperties() {
	  return {
	    nospace: { padding: 0, margin: 0 }
	  };
	};

	function hydrateReference(_ref3) {
	  var options = _ref3.options;
	  var columns = options.columns;
	  var list = options.list;

	  var size = list.length;

	  return list.reduce(function (acc, current, i) {
	    var _extends2;

	    var name = current.name;
	    var gutter = current.gutter;
	    var margin = current.margin;

	    var _fixUserAgent = (0, _fixUserAgent3.default)(ROW_ROOT, (0, _isUAFixNeeded2.default)(navigator.userAgent));

	    var justifyContent = _fixUserAgent.justifyContent;
	    var alignSelf = _fixUserAgent.alignSelf;
	    var FIXED_ROW = _fixUserAgent.FIXED_ROW;

	    // 4
	    // 8
	    // 12

	    var localColumns = columns / size * (i + 1);

	    // Define partial sizes for columnNumber < totalColumns.
	    var partialWidth = (0, _calcPropWithGutter2.default)([1, localColumns, gutter], 'width');

	    // Define sizes = 100% for everything else.
	    var fullWidth = (0, _calcPropWithGutter2.default)([localColumns, columns + 1, gutter], 'width', true);

	    // Define offset sizes.
	    var offset = (0, _calcPropWithGutter2.default)([0, localColumns, gutter / 2], 'marginLeft');

	    var row = buildRow(_constants.ROW_ID, FIXED_ROW, gutter, margin);
	    var rowTypeProperties = buildRowTypeProperties(justifyContent);

	    var cell = buildCell(_constants.CELL_ID, gutter);
	    var cellTypeProperties = buildCellTypeProperties(alignSelf);

	    var sharedProperties = buildSharedProperties();

	    return _extends({}, acc, (_extends2 = {}, _extends2[name] = _extends({}, row, rowTypeProperties, cell, cellTypeProperties, partialWidth, fullWidth, sharedProperties, {
	      offset: _extends({}, offset)
	    }), _extends2));
	  }, {});
	}

	function reference() {
	  var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

	  return state;
	}

/***/ },
/* 31 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports.default = store;

	var _redux = __webpack_require__(10);

	var _media = __webpack_require__(6);

	var _media2 = _interopRequireDefault(_media);

	var _reference = __webpack_require__(30);

	var _reference2 = _interopRequireDefault(_reference);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function store(initialState) {
	  return (0, _redux.createStore)((0, _redux.combineReducers)({ media: _media2.default, reference: _reference2.default }), {
	    media: (0, _media.hydrateMedia)(initialState.media),
	    reference: (0, _reference.hydrateReference)(initialState.reference)
	  });
	}

/***/ },
/* 32 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	exports.default = {};

/***/ },
/* 33 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports.default = calcPropWithGutter;

	var _range = __webpack_require__(26);

	var _range2 = _interopRequireDefault(_range);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function calcPropWithGutter(_ref, prop, isFull) {
	  var start = _ref[0];
	  var end = _ref[1];
	  var gutter = _ref[2];

	  return (0, _range2.default)(start, end).reduce(function (acc, n) {
	    var _acc$n;

	    var width = isFull ? 100 : n / end * 100;
	    acc[n] = (_acc$n = {}, _acc$n[prop] = 'calc(' + width + '% - ' + gutter + 'px)', _acc$n);
	    return acc;
	  }, {});
	}

/***/ },
/* 34 */
/***/ function(module, exports) {

	"use strict";

	exports.__esModule = true;
	exports.default = capitalize;
	function capitalize(string) {
	  return string.charAt(0).toUpperCase() + string.slice(1);
	}

/***/ },
/* 35 */
/***/ function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports.default = fixUserAgent;
	function fixUserAgent(rowRoot, needFix) {
	  var justifyContent = needFix ? 'WebkitJustifyContent' : 'justifyContent';

	  var alignSelf = needFix ? 'WebkitAlignSelf' : 'alignSelf';

	  var FIXED_ROW = needFix ? {
	    display: '-webkit-flex',
	    WebkitFlexFlow: 'row wrap',
	    WebkitAlignItems: 'stretch'
	  } : rowRoot;

	  return {
	    justifyContent: justifyContent,
	    alignSelf: alignSelf,
	    FIXED_ROW: FIXED_ROW
	  };
	}

/***/ },
/* 36 */
/***/ function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports.default = isUAFixNeeded;
	function isUAFixNeeded(userAgent) {
	  return userAgent.indexOf('Chrome') < 0 && userAgent.indexOf('Safari') > -1;
	}

/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports.default = memoize;

	var _cache = __webpack_require__(32);

	var _cache2 = _interopRequireDefault(_cache);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function memoize(callback) {
	  return function getInMemory(key) {
	    if (!_cache2.default.hasOwnProperty(key)) {
	      _cache2.default[key] = callback.call(this, key);
	    }
	    return _cache2.default[key];
	  };
	}

/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	exports.__esModule = true;
	exports.generateKey = exports.memoizeProcess = exports.getInReference = exports.reducePayload = exports.generatePayload = exports.listReducer = exports.parser = undefined;
	exports.default = pick;

	var _compact = __webpack_require__(11);

	var _compact2 = _interopRequireDefault(_compact);

	var _get = __webpack_require__(25);

	var _get2 = _interopRequireDefault(_get);

	var _memoize = __webpack_require__(37);

	var _memoize2 = _interopRequireDefault(_memoize);

	var _invariant = __webpack_require__(7);

	var _invariant2 = _interopRequireDefault(_invariant);

	var _capitalize = __webpack_require__(34);

	var _capitalize2 = _interopRequireDefault(_capitalize);

	var _constants = __webpack_require__(1);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	var parser = exports.parser = function parser(initial, input) {
	  if (input && input.trim()) {
	    return [initial].concat(input.trim().split(/\s+/));
	  }
	  return [initial];
	};

	var listReducer = exports.listReducer = function listReducer(name) {
	  var list = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];

	  return (0, _compact2.default)(list.map(function (n) {
	    var _n$split = n.split('-');

	    var entry = _n$split[0];

	    var value = _n$split.slice(1);

	    switch (value.length) {
	      case 0:
	        return entry;
	      case 1:
	        if (entry === 'offset') {
	          return [entry].concat(value);
	        }
	        if (entry !== name) return false;
	        return value[0];
	      case 2:
	        if (entry !== name) return false;
	        if (value[0] === 'offset') {
	          return value;
	        }
	        return false;
	      default:
	        return false;
	    }
	  }));
	};

	var generatePayload = exports.generatePayload = function generatePayload(_ref, list) {
	  var name = _ref.name;

	  return {
	    name: name,
	    list: listReducer(name, list)
	  };
	};

	var reducePayload = exports.reducePayload = function reducePayload(_ref2, reference) {
	  var name = _ref2.name;
	  var list = _ref2.list;

	  return list.reduce(function (acc, current) {
	    var style = (0, _get2.default)(reference, [name].concat(current));
	    return _extends({}, acc, style);
	  }, {});
	};

	var getInReference = exports.getInReference = function getInReference(tag, _ref3) {
	  var media = _ref3.media;
	  var reference = _ref3.reference;
	  var is = _ref3.is;

	  var list = parser(tag, is);
	  var payload = generatePayload(media, list);

	  if (true) {
	    payload.list.forEach(function (n) {
	      var value = Array.isArray(n) ? n[0] : n;
	      (0, _invariant2.default)(_constants.WHITE_LIST[tag].indexOf(value) > -1, 'Property \'' + value + '\' is not allowed for <' + (0, _capitalize2.default)(tag) + '> component.');
	    });
	  }

	  return reducePayload(payload, reference);
	};

	var memoizeProcess = exports.memoizeProcess = function memoizeProcess() {
	  for (var _len = arguments.length, arg = Array(_len), _key = 0; _key < _len; _key++) {
	    arg[_key] = arguments[_key];
	  }

	  return (0, _memoize2.default)(function () {
	    return getInReference.apply(undefined, arg);
	  });
	};

	var generateKey = exports.generateKey = function generateKey(tag, _ref4) {
	  var name = _ref4.media.name;
	  var is = _ref4.is;
	  return '' + tag + name + is;
	};

	function pick() {
	  var key = generateKey.apply(undefined, arguments);

	  return memoizeProcess.apply(undefined, arguments)(key);
	}

/***/ },
/* 39 */
/***/ function(module, exports) {

	/**
	 * Copyright 2015, Yahoo! Inc.
	 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
	 */
	'use strict';

	var REACT_STATICS = {
	    childContextTypes: true,
	    contextTypes: true,
	    defaultProps: true,
	    displayName: true,
	    getDefaultProps: true,
	    mixins: true,
	    propTypes: true,
	    type: true
	};

	var KNOWN_STATICS = {
	    name: true,
	    length: true,
	    prototype: true,
	    caller: true,
	    arguments: true,
	    arity: true
	};

	module.exports = function hoistNonReactStatics(targetComponent, sourceComponent) {
	    var keys = Object.getOwnPropertyNames(sourceComponent);
	    for (var i=0; i<keys.length; ++i) {
	        if (!REACT_STATICS[keys[i]] && !KNOWN_STATICS[keys[i]]) {
	            targetComponent[keys[i]] = sourceComponent[keys[i]];
	        }
	    }

	    return targetComponent;
	};


/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * Copyright 2013-2015, Facebook, Inc.
	 * All rights reserved.
	 *
	 * This source code is licensed under the BSD-style license found in the
	 * LICENSE file in the root directory of this source tree. An additional grant
	 * of patent rights can be found in the PATENTS file in the same directory.
	 */

	'use strict';

	/**
	 * Use invariant() to assert state which your program assumes to be true.
	 *
	 * Provide sprintf-style format (only %s is supported) and arguments
	 * to provide information about what broke and what you were
	 * expecting.
	 *
	 * The invariant message will be stripped in production, but the invariant
	 * will remain to ensure logic does not differ in production.
	 */

	var invariant = function(condition, format, a, b, c, d, e, f) {
	  if (true) {
	    if (format === undefined) {
	      throw new Error('invariant requires an error message argument');
	    }
	  }

	  if (!condition) {
	    var error;
	    if (format === undefined) {
	      error = new Error(
	        'Minified exception occurred; use the non-minified dev environment ' +
	        'for the full error message and additional helpful warnings.'
	      );
	    } else {
	      var args = [a, b, c, d, e, f];
	      var argIndex = 0;
	      error = new Error(
	        format.replace(/%s/g, function() { return args[argIndex++]; })
	      );
	      error.name = 'Invariant Violation';
	    }

	    error.framesToPop = 1; // we don't care about invariant's own frame
	    throw error;
	  }
	};

	module.exports = invariant;


/***/ },
/* 41 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var _require = __webpack_require__(2);

	var Component = _require.Component;
	var PropTypes = _require.PropTypes;
	var Children = _require.Children;

	var storeShape = __webpack_require__(9);

	var didWarnAboutReceivingStore = false;
	function warnAboutReceivingStore() {
	  if (didWarnAboutReceivingStore) {
	    return;
	  }

	  didWarnAboutReceivingStore = true;
	  console.error( // eslint-disable-line no-console
	  '<Provider> does not support changing `store` on the fly. ' + 'It is most likely that you see this error because you updated to ' + 'Redux 2.x and React Redux 2.x which no longer hot reload reducers ' + 'automatically. See https://github.com/rackt/react-redux/releases/' + 'tag/v2.0.0 for the migration instructions.');
	}

	var Provider = (function (_Component) {
	  _inherits(Provider, _Component);

	  Provider.prototype.getChildContext = function getChildContext() {
	    return { store: this.store };
	  };

	  function Provider(props, context) {
	    _classCallCheck(this, Provider);

	    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

	    _this.store = props.store;
	    return _this;
	  }

	  Provider.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
	    var store = this.store;
	    var nextStore = nextProps.store;

	    if (store !== nextStore) {
	      warnAboutReceivingStore();
	    }
	  };

	  Provider.prototype.render = function render() {
	    var children = this.props.children;

	    return Children.only(children);
	  };

	  return Provider;
	})(Component);

	Provider.propTypes = {
	  store: storeShape.isRequired,
	  children: PropTypes.element.isRequired
	};
	Provider.childContextTypes = {
	  store: storeShape.isRequired
	};

	module.exports = Provider;

/***/ },
/* 42 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var _require = __webpack_require__(2);

	var Component = _require.Component;
	var createElement = _require.createElement;

	var storeShape = __webpack_require__(9);
	var shallowEqual = __webpack_require__(44);
	var isPlainObject = __webpack_require__(43);
	var wrapActionCreators = __webpack_require__(45);
	var hoistStatics = __webpack_require__(39);
	var invariant = __webpack_require__(40);

	var defaultMapStateToProps = function defaultMapStateToProps(state) {
	  return {};
	}; // eslint-disable-line no-unused-vars
	var defaultMapDispatchToProps = function defaultMapDispatchToProps(dispatch) {
	  return { dispatch: dispatch };
	};
	var defaultMergeProps = function defaultMergeProps(stateProps, dispatchProps, parentProps) {
	  return _extends({}, parentProps, stateProps, dispatchProps);
	};

	function getDisplayName(WrappedComponent) {
	  return WrappedComponent.displayName || WrappedComponent.name || 'Component';
	}

	// Helps track hot reloading.
	var nextVersion = 0;

	function connect(mapStateToProps, mapDispatchToProps, mergeProps) {
	  var options = arguments.length <= 3 || arguments[3] === undefined ? {} : arguments[3];

	  var shouldSubscribe = Boolean(mapStateToProps);
	  var finalMapStateToProps = mapStateToProps || defaultMapStateToProps;
	  var finalMapDispatchToProps = isPlainObject(mapDispatchToProps) ? wrapActionCreators(mapDispatchToProps) : mapDispatchToProps || defaultMapDispatchToProps;
	  var finalMergeProps = mergeProps || defaultMergeProps;
	  var doStatePropsDependOnOwnProps = finalMapStateToProps.length !== 1;
	  var doDispatchPropsDependOnOwnProps = finalMapDispatchToProps.length !== 1;
	  var _options$pure = options.pure;
	  var pure = _options$pure === undefined ? true : _options$pure;
	  var _options$withRef = options.withRef;
	  var withRef = _options$withRef === undefined ? false : _options$withRef;

	  // Helps track hot reloading.

	  var version = nextVersion++;

	  function computeStateProps(store, props) {
	    var state = store.getState();
	    var stateProps = doStatePropsDependOnOwnProps ? finalMapStateToProps(state, props) : finalMapStateToProps(state);

	    invariant(isPlainObject(stateProps), '`mapStateToProps` must return an object. Instead received %s.', stateProps);
	    return stateProps;
	  }

	  function computeDispatchProps(store, props) {
	    var dispatch = store.dispatch;

	    var dispatchProps = doDispatchPropsDependOnOwnProps ? finalMapDispatchToProps(dispatch, props) : finalMapDispatchToProps(dispatch);

	    invariant(isPlainObject(dispatchProps), '`mapDispatchToProps` must return an object. Instead received %s.', dispatchProps);
	    return dispatchProps;
	  }

	  function computeMergedProps(stateProps, dispatchProps, parentProps) {
	    var mergedProps = finalMergeProps(stateProps, dispatchProps, parentProps);
	    invariant(isPlainObject(mergedProps), '`mergeProps` must return an object. Instead received %s.', mergedProps);
	    return mergedProps;
	  }

	  return function wrapWithConnect(WrappedComponent) {
	    var Connect = (function (_Component) {
	      _inherits(Connect, _Component);

	      Connect.prototype.shouldComponentUpdate = function shouldComponentUpdate() {
	        return !pure || this.haveOwnPropsChanged || this.hasStoreStateChanged;
	      };

	      function Connect(props, context) {
	        _classCallCheck(this, Connect);

	        var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

	        _this.version = version;
	        _this.store = props.store || context.store;

	        invariant(_this.store, 'Could not find "store" in either the context or ' + ('props of "' + _this.constructor.displayName + '". ') + 'Either wrap the root component in a <Provider>, ' + ('or explicitly pass "store" as a prop to "' + _this.constructor.displayName + '".'));

	        var storeState = _this.store.getState();
	        _this.state = { storeState: storeState };
	        _this.clearCache();
	        return _this;
	      }

	      Connect.prototype.updateStatePropsIfNeeded = function updateStatePropsIfNeeded() {
	        var nextStateProps = computeStateProps(this.store, this.props);
	        if (this.stateProps && shallowEqual(nextStateProps, this.stateProps)) {
	          return false;
	        }

	        this.stateProps = nextStateProps;
	        return true;
	      };

	      Connect.prototype.updateDispatchPropsIfNeeded = function updateDispatchPropsIfNeeded() {
	        var nextDispatchProps = computeDispatchProps(this.store, this.props);
	        if (this.dispatchProps && shallowEqual(nextDispatchProps, this.dispatchProps)) {
	          return false;
	        }

	        this.dispatchProps = nextDispatchProps;
	        return true;
	      };

	      Connect.prototype.updateMergedProps = function updateMergedProps() {
	        this.mergedProps = computeMergedProps(this.stateProps, this.dispatchProps, this.props);
	      };

	      Connect.prototype.isSubscribed = function isSubscribed() {
	        return typeof this.unsubscribe === 'function';
	      };

	      Connect.prototype.trySubscribe = function trySubscribe() {
	        if (shouldSubscribe && !this.unsubscribe) {
	          this.unsubscribe = this.store.subscribe(this.handleChange.bind(this));
	          this.handleChange();
	        }
	      };

	      Connect.prototype.tryUnsubscribe = function tryUnsubscribe() {
	        if (this.unsubscribe) {
	          this.unsubscribe();
	          this.unsubscribe = null;
	        }
	      };

	      Connect.prototype.componentDidMount = function componentDidMount() {
	        this.trySubscribe();
	      };

	      Connect.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
	        if (!pure || !shallowEqual(nextProps, this.props)) {
	          this.haveOwnPropsChanged = true;
	        }
	      };

	      Connect.prototype.componentWillUnmount = function componentWillUnmount() {
	        this.tryUnsubscribe();
	        this.clearCache();
	      };

	      Connect.prototype.clearCache = function clearCache() {
	        this.dispatchProps = null;
	        this.stateProps = null;
	        this.mergedProps = null;
	        this.haveOwnPropsChanged = true;
	        this.hasStoreStateChanged = true;
	        this.renderedElement = null;
	      };

	      Connect.prototype.handleChange = function handleChange() {
	        if (!this.unsubscribe) {
	          return;
	        }

	        var prevStoreState = this.state.storeState;
	        var storeState = this.store.getState();

	        if (!pure || prevStoreState !== storeState) {
	          this.hasStoreStateChanged = true;
	          this.setState({ storeState: storeState });
	        }
	      };

	      Connect.prototype.getWrappedInstance = function getWrappedInstance() {
	        invariant(withRef, 'To access the wrapped instance, you need to specify ' + '{ withRef: true } as the fourth argument of the connect() call.');

	        return this.refs.wrappedInstance;
	      };

	      Connect.prototype.render = function render() {
	        var haveOwnPropsChanged = this.haveOwnPropsChanged;
	        var hasStoreStateChanged = this.hasStoreStateChanged;
	        var renderedElement = this.renderedElement;

	        this.haveOwnPropsChanged = false;
	        this.hasStoreStateChanged = false;

	        var shouldUpdateStateProps = true;
	        var shouldUpdateDispatchProps = true;
	        if (pure && renderedElement) {
	          shouldUpdateStateProps = hasStoreStateChanged || haveOwnPropsChanged && doStatePropsDependOnOwnProps;
	          shouldUpdateDispatchProps = haveOwnPropsChanged && doDispatchPropsDependOnOwnProps;
	        }

	        var haveStatePropsChanged = false;
	        var haveDispatchPropsChanged = false;
	        if (shouldUpdateStateProps) {
	          haveStatePropsChanged = this.updateStatePropsIfNeeded();
	        }
	        if (shouldUpdateDispatchProps) {
	          haveDispatchPropsChanged = this.updateDispatchPropsIfNeeded();
	        }

	        var haveMergedPropsChanged = true;
	        if (haveStatePropsChanged || haveDispatchPropsChanged || haveOwnPropsChanged) {
	          this.updateMergedProps();
	        } else {
	          haveMergedPropsChanged = false;
	        }

	        if (!haveMergedPropsChanged && renderedElement) {
	          return renderedElement;
	        }

	        if (withRef) {
	          this.renderedElement = createElement(WrappedComponent, _extends({}, this.mergedProps, {
	            ref: 'wrappedInstance'
	          }));
	        } else {
	          this.renderedElement = createElement(WrappedComponent, this.mergedProps);
	        }

	        return this.renderedElement;
	      };

	      return Connect;
	    })(Component);

	    Connect.displayName = 'Connect(' + getDisplayName(WrappedComponent) + ')';
	    Connect.WrappedComponent = WrappedComponent;
	    Connect.contextTypes = {
	      store: storeShape
	    };
	    Connect.propTypes = {
	      store: storeShape
	    };

	    if (true) {
	      Connect.prototype.componentWillUpdate = function componentWillUpdate() {
	        if (this.version === version) {
	          return;
	        }

	        // We are hot reloading!
	        this.version = version;
	        this.trySubscribe();
	        this.clearCache();
	      };
	    }

	    return hoistStatics(Connect, WrappedComponent);
	  };
	}

	module.exports = connect;

/***/ },
/* 43 */
/***/ function(module, exports) {

	'use strict';

	function _typeof(obj) { return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj; }

	var fnToString = function fnToString(fn) {
	  return Function.prototype.toString.call(fn);
	};

	/**
	 * @param {any} obj The object to inspect.
	 * @returns {boolean} True if the argument appears to be a plain object.
	 */
	function isPlainObject(obj) {
	  if (!obj || (typeof obj === 'undefined' ? 'undefined' : _typeof(obj)) !== 'object') {
	    return false;
	  }

	  var proto = typeof obj.constructor === 'function' ? Object.getPrototypeOf(obj) : Object.prototype;

	  if (proto === null) {
	    return true;
	  }

	  var constructor = proto.constructor;

	  return typeof constructor === 'function' && constructor instanceof constructor && fnToString(constructor) === fnToString(Object);
	}

	module.exports = isPlainObject;

/***/ },
/* 44 */
/***/ function(module, exports) {

	"use strict";

	function shallowEqual(objA, objB) {
	  if (objA === objB) {
	    return true;
	  }

	  var keysA = Object.keys(objA);
	  var keysB = Object.keys(objB);

	  if (keysA.length !== keysB.length) {
	    return false;
	  }

	  // Test for A's keys different from B.
	  var hasOwn = Object.prototype.hasOwnProperty;
	  for (var i = 0; i < keysA.length; i++) {
	    if (!hasOwn.call(objB, keysA[i]) || objA[keysA[i]] !== objB[keysA[i]]) {
	      return false;
	    }
	  }

	  return true;
	}

	module.exports = shallowEqual;

/***/ },
/* 45 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var _redux = __webpack_require__(10);

	function wrapActionCreators(actionCreators) {
	  return function (dispatch) {
	    return (0, _redux.bindActionCreators)(actionCreators, dispatch);
	  };
	}

	module.exports = wrapActionCreators;

/***/ }
/******/ ])
});
;