'use strict';

var _WHITE_LIST;

exports.__esModule = true;
var UPDATE_MEDIA_NAME = exports.UPDATE_MEDIA_NAME = 'media/name/UPDATE';
var ROW_ID = exports.ROW_ID = 'row';
var CELL_ID = exports.CELL_ID = 'cell';
var MEDIA_MODEL_HELPER = exports.MEDIA_MODEL_HELPER = {
  gutter: 16,
  margin: 16,
  list: [{
    name: 'phone',
    query: '(max-width: 479px)'
  }, {
    name: 'tablet',
    query: '(min-width: 480px) and (max-width: 839px)'
  }, {
    name: 'desktop',
    query: '(min-width: 840px)'
  }]
};
var WHITE_LIST = exports.WHITE_LIST = (_WHITE_LIST = {}, _WHITE_LIST[ROW_ID] = ['row', 'start', 'center', 'end', 'around', 'between', 'nospace'], _WHITE_LIST[CELL_ID] = ['cell', '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', 'top', 'middle', 'bottom', 'stretch', 'between', 'offset', 'nospace'], _WHITE_LIST);