'use strict';

exports.__esModule = true;
exports.Cell = exports.Row = exports.Grid = undefined;

var _Grid = require('./components/Grid');

Object.defineProperty(exports, 'Grid', {
  enumerable: true,
  get: function get() {
    return _Grid.default;
  }
});

var _constants = require('./constants');

var _createComponent = require('./components/createComponent');

var _createComponent2 = _interopRequireDefault(_createComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Row = (0, _createComponent2.default)(_constants.ROW_ID);
var Cell = (0, _createComponent2.default)(_constants.CELL_ID);

exports.Row = Row;
exports.Cell = Cell;