'use strict';

exports.__esModule = true;
exports.default = store;

var _redux = require('redux');

var _media = require('./reducers/media');

var _media2 = _interopRequireDefault(_media);

var _reference = require('./reducers/reference');

var _reference2 = _interopRequireDefault(_reference);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function store(initialState) {
  return (0, _redux.createStore)((0, _redux.combineReducers)({ media: _media2.default, reference: _reference2.default }), {
    media: (0, _media.hydrateMedia)(initialState.media),
    reference: (0, _reference.hydrateReference)(initialState.reference)
  });
}